Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp.lang
Class IanaLanguageTag

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.lang.LanguageTag
          com.hp.hpl.jena.rdf.arp.lang.IanaLanguageTag

All Implemented Interfaces:
  LanguageTagCodes

    public class IanaLanguageTag

extends LanguageTag

Language codes registered by IANA. An encapsulation of the IANA language registry found at http://www.iana.org/assignments/language-tags. The values were updated on 8th July 2002 from a file dated 7th July 2002.

Author:
  jjc

Field Summary
`int` | `classification` The bitwise OR of all applicable values from `LanguageTagCodes`.

Fields inherited from interface com.hp.hpl.jena.rdf.arp.lang.LanguageTagCodes
`LT_DEFAULT, LT_EXTRA, LT_IANA, LT_IANA_DEPRECATED, LT_ILLEGAL, LT_ISO3166, LT_ISO639, LT_LOCAL_USE, LT_MULTIPLE, LT_PRIVATE_USE, LT_UNDETERMINED`

Method Summary
`static IanaLanguageTag` | `find(LanguageTag t)` Look up a language identifier in the IANA list.

Methods inherited from class com.hp.hpl.jena.rdf.arp.lang.LanguageTag
`errorMessage, tagType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classification

    public final int classification

  The bitwise OR of all applicable values from `LanguageTagCodes`. The possibilities are:
  - `LT_IANA`
  - `LT_IANA|LT_IANA_DEPRECATED`
  - `LT_IANA|LT_DEFAULT` i.e. `i-default`

Method Detail

### find

    public static IanaLanguageTag find(LanguageTag t)

  Look up a language identifier in the IANA list. Trailing additional subtags are ignored.

  Parameters:
    `t` - The LanguageTag corresponding to the item being looked up.
  Returns:
    The IanaLanguageTag if found, or null if it is not in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP